scala.runtime
class RichFloat

[source: `scala/runtime/RichFloat.scala`]

`final` `class` RichFloat(x : Float)
  `extends` Proxy `with` Ordered[Float]

Method Summary
`def` | abs : Float
`def` | ceil : Float
`def` | compare (y : Float) : Int Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`
`def` | floor : Float
`def` | isInfinity : Boolean
`def` | isNegInfinity : Boolean
`def` | isPosInfinity : Boolean
`def` | max (y : Float) : Float
`def` | min (y : Float) : Float
`def` | round : Int
`def` | self : Any
`def` | toDegrees : Float Converts an angle measured in radians to an approximately equivalent angle measured in degrees.
`def` | toRadians : Float Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

Methods inherited from Ordered
<, >, <=, >=, compareTo

Methods inherited from Proxy
hashCode, equals, toString

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` self : Any

Overrides
  Proxy.self

`` `def` compare(y : Float) : Int

  Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`

Overrides
  Ordered.compare

`` `def` min(y : Float) : Float

`` `def` max(y : Float) : Float

`` `def` abs : Float

`` `def` round : Int

`` `def` ceil : Float

`` `def` floor : Float

`` `def` toRadians : Float

  Converts an angle measured in degrees to an approximately equivalent angle measured in radians.

Parameters
  `x -` an angle, in degrees
Returns
  the measurement of the angle `x` in radians.

`` `def` toDegrees : Float

  Converts an angle measured in radians to an approximately equivalent angle measured in degrees.

Parameters
  `x -` angle, in radians
Returns
  the measurement of the angle `x` in degrees.

`` `def` isInfinity : Boolean

`` `def` isPosInfinity : Boolean

`` `def` isNegInfinity : Boolean